# $Revision: 1.9 $, $Date: 2011/12/02 13:10:26 $
%define 	module nwdiag
Summary:	nwdiag generate network-diagram image file from spec-text file
Name:		python-%{module}
Version:	0.7.0
Release:	1
License:	Apache v2.0
Group:		Development/Languages
URL:		http://blockdiag.com/en/%{module}/index.html
Source0:	http://pypi.python.org/packages/source/n/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	be27a6238a5275cc2bbe376fd1c2b6e9
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	sed >= 4.0
Requires:	python-blockdiag >= 1.1.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
nwdiag generate network-diagram image file from spec-text file.

Features:
- Generate network-diagram from dot like text (basic feature).
- Multilingualization for node-label (utf-8 only).

%prep
%setup -q -n %{module}-%{version}
%{__sed} -i -e 's/^from ez_setup/#from ez_setup/' setup.py
%{__sed} -i -e 's/^use_setuptools()/#use_setuptools()/' setup.py

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--skip-build \
	--root $RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}/tests
%{__rm} $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}_sphinxhelper.py[co]
%{__rm} $RPM_BUILD_ROOT%{py_sitescriptdir}/rackdiag_sphinxhelper.py[co]

install -d $RPM_BUILD_ROOT%{_mandir}/man1
cp -p %{module}.1 $RPM_BUILD_ROOT%{_mandir}/man1

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{module}
%attr(755,root,root) %{_bindir}/rackdiag
%{_mandir}/man1/%{module}.1*
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/rackdiag
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/%{module}-%{version}-*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-nwdiag.spec,v $
Revision 1.9  2011/12/02 13:10:26  zbyniu
- up to 0.7.0

Revision 1.8  2011/10/18 14:39:59  glen
- no enforce-gz for man, no defattr for man, no rm -r for file

Revision 1.7  2011/10/18 12:53:14  cieciwa
- removed not needed file,
- added manual file.

Revision 1.6  2011/10/18 11:29:00  glen
- do not package tests

Revision 1.5  2011/10/18 11:20:38  cieciwa
- added Sphinx file,
- release 1.

Revision 1.4  2011/10/18 11:10:56  glen
- py-postclean, BR python-funcparserlib not needed, some unpackaged files

Revision 1.3  2011/10/18 07:29:02  cieciwa
- fixed Requires.

Revision 1.2  2011/10/17 13:20:20  glen
- adapter, pldize

Revision 1.1  2011/10/17 10:44:54  cieciwa
- version 0.5.0,
- release 0.1.

initial.
